<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use App\Models\Agenda;
use App\Models\Kategori;
use Exception;
use Illuminate\Console\View\Components\Alert;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Validator;

class AgendaController extends Controller
{
    public function index()
    {
        
        $data = Agenda::with(['rPegawai', 'rKategori', 'rAttachment'])
            ->with()
        return view('user.index');
    }

    public function create()
    {     
        $kategori = Kategori::query()->get();
        return view('user.create')->with('data', $kategori);
    }

    public function store(Request $request)
    {
        // dd($request);        
        $data = [];

        DB::beginTransaction();

        // Validator::make($request->all(), [        
        //     'nama' => 'required|string',
        //     'tanggal' => 'required',
        //     'waktu' => 'required',
        //     'lokasi' => 'string',
        //     'link_zoom' => 'required|string',
        //     'id_zoom' => 'required|string',
        //     'passcode_zoom' => 'required|string',
        // ]);

        try{   
            // $swalData = [
            //     'type' => 'success',
            //     'title' => 'Agenda'
            // ]; 
            $data = $request->except(['_method','_token']);
            $data['id'] =         
            $data['idunit'] = '1526d530-d992-49ba-b663-3ed703b96a0f'; //nanti bakal diambil dari session user
            $data['statusacara'] = 0;

            Agenda::query()->create($data);

            DB::commit();    
            
            return back()->with('notify-swal', );

            alert()->flash('Data berhasil ditambahkan', 'success');
        }
        catch(Exception $e){
            dd($e);
            Log::debug('Tambah Agenda Error');
            Log::error($e);
           
            DB::rollBack();
        }
    }
}
