<?php

namespace App\Models;

use App\Traits\Uuid;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserAgenda extends Model
{
    use Uuid;
    use HasFactory;
    public $incrementing = false;
    protected $keyType = 'string';
    protected $table = 'tr_agenda_pegawai';

    protected $fillable = [
        'id',
        'idpegawai',
        'idagenda',
        'statuskehadiran',
        'created_at',
        'updated_at',
        'deleted_at',
        'idattachmenet'
    ];

    // public function rPegawai()
    // {
    //     return $this->hasOne(Pegawai::class, 'idpegawai', 'id');
    // }

    // public function rAgenda()
    // {
    //     return $this->hasOne(UserAgenda::class, 'idagenda', 'id');
    // }
}
